/* libiso8601/src/libiso8601/400_c_library.h
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/*! \defgroup c_library C library integration.

These functions enable integration with the C library (system call wrappers and conversion).

*/
/*!@{*/



/*! \brief Retrieve the current time.

\param[out] date Current date/time (may be 0), in UTC.
\param[out] details Details (may be 0), including timezone.

Retrieves the current time from the system clock, storing it into \a date and \a details (both
parameters optional).

*/
void iso8601_now(struct iso8601_date* date, struct iso8601_details* details);



/*! \brief Convert from a struct timespec. */
void iso8601_from_ts(struct iso8601_date* date, const struct timespec* ts);
/*! \brief Convert to a struct timespec. */
void iso8601_to_ts(struct timespec* ts, const struct iso8601_date* date);
/*! \brief Convert from a time_t. */
void iso8601_from_time_t(struct iso8601_date* date, const time_t* t);
/*! \brief Convert to a time_t. */
void iso8601_to_time_t(time_t* t, const struct iso8601_date* date);



/*!@}*/
/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
